aboutsummaryrefslogtreecommitdiffstats
path: root/jsaccess/tests/test_store.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jsaccess/tests/test_store.sh')
-rwxr-xr-xjsaccess/tests/test_store.sh30
1 files changed, 19 insertions, 11 deletions
diff --git a/jsaccess/tests/test_store.sh b/jsaccess/tests/test_store.sh
index 70e44f5..653c6e8 100755
--- a/jsaccess/tests/test_store.sh
+++ b/jsaccess/tests/test_store.sh
@@ -19,14 +19,11 @@ echo "=== LOCAL ==="
$jstoresh add example.txt ||exit 10
[ -d ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/ ] ||exit 11
[ -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 12
-
$jstoresh ls > $TMP ||exit 20
[ `grep -c "example.txt" $TMP` -eq 1 ] || exit 21
rm $TMP
-
$jstoresh rm example.txt ||exit 30
[ ! -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 31
-
$jstoresh ls > $TMP ||exit 40
[ `grep -c "example.txt" $TMP` -eq 0 ] || exit 41
rm $TMP
@@ -34,25 +31,36 @@ rm $TMP
$jstoresh add example.txt ||exit 50
[ -d ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/ ] ||exit 51
[ -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 52
-
$jstoresh rmall ||exit 60
[ ! -d ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/ ] ||exit 61
-$jstoresh add example.txt ||exit 70
+$jstoresh add-nocrypt example.txt ||exit 70
[ -d ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/ ] ||exit 71
-[ -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 72
+[ -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/example.txt ] ||exit 72
+$jstoresh rm example.txt ||exit 80
+[ ! -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/example.txt ] ||exit 81
+$jstoresh ls > $TMP ||exit 90
+[ `grep -c "example.txt" $TMP` -eq 0 ] || exit 91
+rm $TMP
+
+$jstoresh add example.txt ||exit 95
+[ -d ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/ ] ||exit 96
+[ -f ./store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 97
echo
echo "=== DEPLOY ==="
-$jstoresh rset clone_store ||exit 100
-echo clone_store |diff -u - ./store/.rsync_uri ||exit 101
+$jstoresh rset store_push ||exit 100
+echo store_push |diff -u - ./store/.rsync_uri ||exit 101
$jstoresh rget > $TMP ||exit 110
-[ `grep -c "rsync_uri: clone_store" $TMP` -eq 1 ] || exit 21
+[ `grep -c "rsync_uri: store_push" $TMP` -eq 1 ] || exit 21
$jstoresh push ||exit 120
-[ -f ./clone_store/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 121
+[ -f ./store_push/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 121
+
+$jstoresh clone store/ store_clone ||exit 130
+[ -f ./store_clone/ad2c5eb7c4fca722235f5df80e11fa619adbd533/8e895f3f4317fb442747a40b9025d6ad8c9c8cf3 ] ||exit 131
echo
echo "=== WIPE ==="
@@ -60,7 +68,7 @@ echo "=== WIPE ==="
$jstoresh wipe store ||exit 200
[ ! -d store ] ||exit 201
-rm -rf ./clone_store/
+rm -rf ./store_clone/ ./store_push/
rm $TMP
echo